- [README](README.md)
- [Setup](docs/setup.md)
- Tutorials
    - [Introduction](docs/introduction.md)
    - [Quickstart](notebooks/quickstart.ipynb)
    - Vision
        - [Image segmentation](notebooks/imagesegmentation.ipynb)
        - [Keypoint regression](notebooks/keypointregression.ipynb)
    - Intermediate
        - [Data containers](docs/data_containers.md)
        - [Saving and loading models](notebooks/serialization.ipynb)
    - Advanced
        - [Presizing vision datasets](notebooks/presizing.ipynb)
        - [Custom Learning methods](docs/learning_methods.md)
- How To
    - [Train a model from scratch](notebooks/fitonecycle.ipynb)
    - [Finetune a pretrained model](notebooks/finetune.ipynb)
    - [Find a good learning rate](notebooks/lrfind.ipynb)
    - [Augment vision data](docs/howto/augmentvision.md)
    - [Visualize data](notebooks/how_to_visualize.ipynb)
    - [Log to TensorBoard](docs/howto/logtensorboard.md)
- Reference
    - [Docstrings](REFERENCE)
    - [fastai API comparison](docs/fastai_api_comparison.md)
    - [API](docs/api.md)
    - [Extension APIs](docs/interfaces.md)
    - [Glossary](docs/glossary.md)
- Background
    - [Performant data pipelines](docs/background/datapipelines.md)